#https://github.com/bitnami/charts/tree/master/bitnami/mariadb
apiVersion: helm.cattle.io/v1
kind: HelmChart
metadata:
  name: mariadb
  namespace: kube-system
spec:
  chart: bitnami/mariadb
  targetNamespace: persistence
  set:
    replicaCount: 1
  valuesContent: |-
    image:
      tag: 10.5
    auth:
      rootPassword: "aifuoqibcqobcqb3"
    ingress:
      className: traefik
      hosts: sql.xai-corp.net
    extraVolumeMounts:
      - name: mysql
        mountPath: /var/lib/mysql
    extraVolumes:
      - name: mysql
        hostPath:
          path: /opt/mariadb/data
